% Honours
%%%

\newcommand{\honour}{Honour}
\newcommand{\honours}{Honours}
\newcommand{\honoursInitial}{Ho}

\newcommand{\honoursmountoptions}{The bearer's Mount Options are replaced with}


\newcommand{\honoursforhighprincesandcommanders}{Honours for High Princes and Commanders}

\newcommand{\masterofcanreigtower}{Master of Canreig Tower}
\newcommand{\masterofcanreigtowerdef}{%
	The model gains \textbf{\masterofspellcrafting}, \textbf{\proteanmagic}, \textbf{\wizardadept}, and \textbf{\swordsworn} (see \hyperlink{HE4swordmasters}{\swordmasters{}} unit). The model has access to \alchemy{}, \cosmology{}, \druidism{}, \shamanism{}, and \witchcraft{}. It knows 3 spells, and always knows \spellformat{\druidismspellzero}{} in addition to these spells. \spellformat{\druidismattribute}{} becomes the Attribute Spell for all non-Bound Learned Spells cast by the model except \spellformat{\druidismspellzero}{}, replacing the spells' corresponding Attribute Spells where applicable.%
	\masterofcanreigtowerlogos{}%
}
\newcommand{\highprincemustgainlearnedspells}{\highprince{} \textbf{must} gain\newline 2 additional Learned Spells}

\newcommand{\queenscavalier}{Queen's Cavalier}
\newcommand{\queenscavalierdef}{%
	The bearer gains \textbf{\devastatingcharge{} (+1 \At{}, \fear)}.\DTLpar%
	If the bearer's model is Large or Gigantic:\newline
	The limit of Ancient Allies is increased to \enquote{Max. \SI{25}{\percent}}, Characters is increased to \enquote{Max. \SI{50}{\percent}}, and all Characters in the army \textbf{must} be Large Cavalry or Gigantic Beasts. Dragons and Ancient Dragons become \zerotoXmountsperarmy{2}. Sea Guard Reapers and Sky Sloops may not be taken in the army.%
}

\newcommand{\fleetofficer}{Fleet Officer}
\newcommand{\fleetofficerdef}{%
	The bearer gains \textbf{\covervolley} (see \hyperlink{HE3seaguard}{\seaguard{}} unit), \textbf{\steadyaim}, and +2 to-hit when using a \skyreaper{}. An army with one or more Fleet Officers may add +1 to the roll for choosing Deployment Zones. Panic Tests of models with \martialdiscipline{} within the model's range of \commandingpresence{} or \rallyaroundtheflag{} (if applicable) are subject to Minimised Roll.%
}

\newcommand{\highwardenoftheflame}{High Warden of the Flame}
\newcommand{\highwardenoftheflamedef}{%
	The bearer gains \textbf{\aegis{} (4+)}, \textbf{\fearless}, \textbf{\flamingattacks}, \textbf{\magicresistance{} (1)}, and cannot be equipped with a \shield{}.%
}

\newcommand{\queenscompanion}{Queen's Companion}
\newcommand{\queenscompaniondef}{%
	\itemrestriction{0--2 Honours per Army.}%
	When shooting with a \longbow{} without Weapon Enchantment, the weapon gains \shots{3}. In addition, the model's unit gains \textbf{\quicktofire}.%
}
\newcommand{\queenscompanionoption}{%
	\faemiasma{}, \scout{}, and may not join\newline units other than \greywatchers{}%
}

\newcommand{\royalhuntsman}{Royal Huntsman}
\newcommand{\royalhuntsmandef}{%
	The model gains \textbf{\lionsfur} and the model's unit gains \textbf{\valiant}. When using a \gw{}, the bearer gains \textbf{\multiplewounds{}{} (2, against Large and Beast, Large and Cavalry, Gigantic)}.%
}



\newcommand{\honoursformages}{Honours for Mages}

\newcommand{\asfadscholar}{Asfad Scholar}
\newcommand{\asfadscholardef}{%
	\itemrestriction{Wizard Masters only.}%
	The range of Aura spells cast by the Wizard is increased by \distance{3}, and the range of all other spells cast by the Wizard is increased by \distance{6}. Spells with the type \caster{} or \castersunit{} and Bound Spells are not affected. The Wizard can cast \textbf{\spellformat{Drain Magic}{}} as a Bound Spell with Power Level (4/8).\DTLpar%
	\textbf{Drain Magic}: \range{18}, Type \universal{}, Duration \instant{}.\newline%
	All spells with duration \oneturn{} for which the target of Drain Magic was the spell's target immediately come to an end. Note that if any of these spells had more than one target, their effects also end for these targets.%
}
\newcommand{\maybemountedasnormal}{May be mounted as normal}

\newcommand{\orderofthefieryheart}{Order of the Fiery Heart}
\newcommand{\orderofthefieryheartdef}{%
	The bearer's model gains \textbf{\flamingattacks}. The model \textbf{must} select spells from either \alchemy{} or \pyromancy{} (instead of the Paths normally available to it), and ignores the \missile{} and \damage{} spell types for \spellformat{\alchemyspellfour}{\alchemy} and all \pyromancy{} spells, but only when targeting units which are Engaged in Combat with the model.\DTLpar%
	The first time in each Magic Phase that the bearer successfully casts a Learned Spell, its mount (if there is any) gains +\distance{1} Advance Rate, +\distance{2} March Rate, and +2 Attack Value. The effects last until the start of the owner's next Magic Phase.%
	\orderofthefieryheartlogos{}%
}
